package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 采购流程记录对象 hs_purchase_flow_record
 *
 * @author willalp
 * @date 2023-04-23
 */

@TableName("hs_purchase_flow_record")
public class HsPurchaseFlowRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 审批标题 */
    @Excel(name = "审批标题")
    private String title;

    /** 用途 */
    @Excel(name = "用途")
    private String whatUse;

    /** 物品类型 */
    @Excel(name = "物品类型")
    private String goodsType;

    /** 物品名称 */
    @Excel(name = "物品名称")
    private String goodsName;

    /** 规格 */
    @Excel(name = "规格")
    private String goodsGg;

    /** 需求数量 */
    @Excel(name = "需求数量")
    private Long wantUseAmount;

    /** 预估单价 */
    @Excel(name = "预估单价")
    private BigDecimal ygUnitPrice;

    /** 预估总价 */
    @Excel(name = "预估总价")
    private String ygTotalPrices;

    /** 采购状态 */
    @Excel(name = "采购状态")
    private String purchaseStatus;

    /** 图片（5张最大） */
    @Excel(name = "图片", readConverterExp = "5=张最大")
    private String photos;

    /** 附件 */
    @Excel(name = "附件")
    private String involveFile;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String deptId;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyUserName;

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setWhatUse(String whatUse)
    {
        this.whatUse = whatUse;
    }

    public String getWhatUse()
    {
        return whatUse;
    }
    public void setGoodsType(String goodsType)
    {
        this.goodsType = goodsType;
    }

    public String getGoodsType()
    {
        return goodsType;
    }
    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName()
    {
        return goodsName;
    }
    public void setGoodsGg(String goodsGg)
    {
        this.goodsGg = goodsGg;
    }

    public String getGoodsGg()
    {
        return goodsGg;
    }
    public void setWantUseAmount(Long wantUseAmount)
    {
        this.wantUseAmount = wantUseAmount;
    }

    public Long getWantUseAmount()
    {
        return wantUseAmount;
    }
    public void setYgUnitPrice(BigDecimal ygUnitPrice)
    {
        this.ygUnitPrice = ygUnitPrice;
    }

    public BigDecimal getYgUnitPrice()
    {
        return ygUnitPrice;
    }
    public void setYgTotalPrices(String ygTotalPrices)
    {
        this.ygTotalPrices = ygTotalPrices;
    }

    public String getYgTotalPrices()
    {
        return ygTotalPrices;
    }
    public void setPurchaseStatus(String purchaseStatus)
    {
        this.purchaseStatus = purchaseStatus;
    }

    public String getPurchaseStatus()
    {
        return purchaseStatus;
    }
    public void setPhotos(String photos)
    {
        this.photos = photos;
    }

    public String getPhotos()
    {
        return photos;
    }
    public void setInvolveFile(String involveFile)
    {
        this.involveFile = involveFile;
    }

    public String getInvolveFile()
    {
        return involveFile;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setApplyUserName(String applyUserName)
    {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName()
    {
        return applyUserName;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("whatUse", getWhatUse())
            .append("goodsType", getGoodsType())
            .append("goodsName", getGoodsName())
            .append("goodsGg", getGoodsGg())
            .append("wantUseAmount", getWantUseAmount())
            .append("ygUnitPrice", getYgUnitPrice())
            .append("ygTotalPrices", getYgTotalPrices())
            .append("purchaseStatus", getPurchaseStatus())
            .append("photos", getPhotos())
            .append("involveFile", getInvolveFile())
            .append("deptId", getDeptId())
            .append("applyUserName", getApplyUserName())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
